Remove sites from site list

Remove sites from an existing site list.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request

POST /site-list/removeSites

Request Body

Name Type Description Required
id Number Site list id Yes
name String Site list name Yes
siteIds Number Array Sites overwrite to site list Yes

Response

Name Type Description
messages Object Array An array of any error messages.
messages[].level String Error level.
messages[].code String Error code.
messages[].message String Error message.
entity Object A site list object
entity.id Number Site list id
entity.name String Site list name

Example

Request to remove sites from site list

curl -u \<user>:\<password> -X POST -H "Content-Type: application/json" -d '\{"id":8964,"name":"Viant\_IDBased\_SiteList","siteIds":\[443109,497080]}' https\://sandbox-api.viant.com/v1/site-list/removeSites

Response

{  
  "messages": [
  {
    "message":"Sites are removed from the site list Viant_IDBased_SiteList",
    "level":"INFO",
    "code":""} ],
  "entity": 
  {
    "id":8964,
    "name":"Viant_IDBased_SiteList",
    "typeId":null,
    "strategy":null,
    "siteIds":null,
    "rules":null,
    "insertedCount":null
  }
}
Body Params
int32
required
string
required
int32
strategy
object
siteIds
array of int32s
required
siteIds*
rules
array of objects
rules
int32
Responses

401

Unauthorized

403

Forbidden

404

Not Found

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json